/* Finding related code using sys.sql_expression_dependencies. */
select  OBJECT_SCHEMA_NAME(referenced_id) AS schema,
        OBJECT_NAME(referenced_id) as table,
        referencing_class_desc
from    sys.sql_expression_dependencies ssed
where   referencing_id = 1237579447 ;

/* Finding related code using OBJECT_DEFINITION. */
SELECT  OBJECT_NAME(o.object_id) AS object_name,
        OBJECT_DEFINITION(o.object_id) AS object_definition
FROM    sys.objects AS o
WHERE   type_desc = 'SQL_STORED_PROCEDURE'
        AND OBJECT_DEFINITION(o.object_id) LIKE '%Employee%'
ORDER BY o.object_id ;

/* Looking at indexes. */
select  OBJECT_SCHEMA_NAME(i.object_id) AS schema_name ,
        OBJECT_NAME(i.[object_id]) AS [table_name] ,
        i.[name] AS index_name ,
        c.name AS column_name ,
        ic.is_included_column
from    sys.indexes AS i
        join sys.index_columns as ic
           on i.object_id = ic.object_id
           and i.index_id = ic.index_id
        join sys.columns as c
           on ic.object_id = c.object_id
           and ic.column_id = c.column_id
where   OBJECT_NAME(i.[object_id]) = 'Employee' ;

